Query Information of an Outbound Route
Query the detailed configurations of an outbound route.
Request URL
GET {base_url}/{api_path}/outbound_route/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the outbound route. Note: You can query the outbound route's ID using Search Specific Outbound Routes. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object<Outroute_Details> | The detailed information of the outbound route. |
Outroute_Details
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the outbound route. |
| name | String | The name of the outbound route. |
| outbound_cid | String | The outbound caller ID of the outbound route. |
| dial_pattern_list | Array<Dialpattern_List> | The dial pattern list. |
| trunk_list | Array<Trunk_List> | The list of the selected trunk in the outbound route. |
| ext_list | Array<Ext_List> | Th information list of the selected extensions. |
| pos | Integer | The current position of the outbound route in the list. |
| pin_protect | String | Outbound route password.
|
| pin | String | Single PIN code. |
| pin_list | Integer | The ID of the selected PIN list. |
Dialpattern_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the dial pattern. |
| pattern | String | The dial pattern matching rules. |
| strip | Integer | The number of digits that will be stripped from the beginning of a dialed number before the call is placed. |
| prepend | String | The digits that will be prepended to the phone number before the call is placed. |
Trunk_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the selected trunk. |
| name | String | Trunk name. |
| type | String | Trunk type. |
Ext_List
| Parameter | Type | Description |
|---|---|---|
| ext_number | String | Extension number. |
| ext_name | String | The name of the extension/extension group/organization. |
| type | String | The type of the selected item.
|
| id | Integer | The unique ID of the selected extension/extension group/organization. |
Examples
Request example
GET /openapi/v1.0/outbound_route/get?id=11&access_token=nIAuSgDUim0uZgrNuha8hfzwbvY41NWR HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"id": 11,
"name": "shared-trunk",
"outbound_cid": "",
"dial_pattern_list": [
{
"id": 12,
"pattern": "55033X.",
"strip": 5
},
{
"id": 22,
"pattern": "123X.",
"strip": 1,
"prepend": "55033"
}
],
"trunk_list": [
{
"id": 27,
"name": "test-peer-trunking",
"type": "peer"
}
],
"ext_list": [
{
"ext_number": "2010",
"ext_name": "Wayne Willis",
"type": "extension",
"id": 58
}
],
"pos": 4,
"pin_protect": "single_pin",
"pin": "1234"
}
}